# cv::DataType< uchar > Class Template Reference

`#include <core.hpp>`

List of all members.

## Public Types

enum | { generic_type = 0, depth = DataDepth<channel_type>::value, channels = 1, fmt = DataDepth<channel_type>::fmt, type = CV_MAKETYPE(depth, channels) }
typedef value_type | channel_type
typedef uchar | value_type
typedef value_type | vec_type
typedef int | work_type

### template<>
class cv::DataType< uchar >

## Member Typedef Documentation

typedef value_type cv::DataType< uchar >::channel_type

typedef uchar cv::DataType< uchar >::value_type

typedef value_type cv::DataType< uchar >::vec_type

typedef int cv::DataType< uchar >::work_type

## Member Enumeration Documentation

anonymous enum

Enumerator:

  generic_type |
  depth |
  channels |
  fmt |
  type |

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines